# wxPopupWindow Class Reference
[Managed Windows]

`#include </home/work/projects/wx/2.9/wx/interface/wx/popupwin.h>`

Inheritance diagram for wxPopupWindow:
[legend]

## Detailed Description

A special kind of top level window used for popup menus, combobox popups and such.

##

Library: wxCore
Category: Managed Windows

See also:
  wxDialog, wxFrame

## Public Member Functions

| wxPopupWindow (wxWindow *parent, int flags=wxBORDER_NONE)
| Constructor.
bool | Create (wxWindow *parent, int flags=wxBORDER_NONE)
| Create method for two-step creation.
virtual void | Position (const wxPoint &ptOrigin, const wxSize &sizePopup)
| Move the popup window to the right position, i.e.

List of all members.

## Constructor & Destructor Documentation

wxPopupWindow::wxPopupWindow | ( | wxWindow * | parent,
|  | int | flags = `wxBORDER_NONE` |
| ) |  |  |

Constructor.

## Member Function Documentation

bool wxPopupWindow::Create | ( | wxWindow * | parent,
|  | int | flags = `wxBORDER_NONE` |
| ) |  |  |

Create method for two-step creation.

virtual void wxPopupWindow::Position | ( | const wxPoint & | ptOrigin,
|  | const wxSize & | sizePopup |
| ) |  |  | `[virtual]`

Move the popup window to the right position, i.e.

such that it is entirely visible.

The popup is positioned at ptOrigin + size if it opens below and to the right (default), at ptOrigin - sizePopup if it opens above and to the left etc.

Parameters:

  | ptOrigin | Must be given in screen coordinates!
  | sizePopup | The size of the popup window

|  | [ top ]